XSLTOutInterceptor.XSLTStreamWriter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature.transform, class: XSLTOutInterceptor, class: XSLTStreamWriter

Package org.apache.cxf.feature.transform

# Class XSLTOutInterceptor.XSLTStreamWriter

java.lang.Object
org.apache.cxf.staxutils.DelegatingXMLStreamWriter
org.apache.cxf.feature.transform.XSLTOutInterceptor.XSLTStreamWriter

All Implemented Interfaces:
  `XMLStreamWriter`

Enclosing class:
  XSLTOutInterceptor

public static class XSLTOutInterceptor.XSLTStreamWriter extends DelegatingXMLStreamWriter

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

  `delegate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTStreamWriter(Templates xsltTemplate, CachedWriter cachedWriter, XMLStreamWriter delegateXWriter, XMLStreamWriter origXWriter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`

  ### Methods inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

  `flush, getNamespaceContext, getPrefix, getProperty, setDefaultNamespace, setNamespaceContext, setPrefix, writeAttribute, writeAttribute, writeAttribute, writeCData, writeCharacters, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEndElement, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument, writeStartElement, writeStartElement, writeStartElement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XSLTStreamWriter

    public XSLTStreamWriter(Templates xsltTemplate, CachedWriter cachedWriter, XMLStreamWriter delegateXWriter, XMLStreamWriter origXWriter)

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `XMLStreamWriter`
    Overrides:
      `close` in class `DelegatingXMLStreamWriter`